Package com.collibra.dgc.core.api.dto.role

# Class AddRoleRequest.Builder

Object
Builder

Enclosing class:
  `AddRoleRequest`

public static final class AddRoleRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddRoleRequest`
  `build()`
  `AddRoleRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddRoleRequest.Builder`
  `description(String description)`
  The description of the role.
  `AddRoleRequest.Builder`
  `disabled(boolean disabled)`
  Whether the role should be disabled or not.
  `AddRoleRequest.Builder`
  `global(boolean global)`
  Whether the role should be a global or resource role.
  `AddRoleRequest.Builder`
  `id(UUID id)`
  The ID of the new role.
  `AddRoleRequest.Builder`
  `name(String name)`
  Required. The name of the new role.
  `AddRoleRequest.Builder`
  `permissions(List<Permission> permissions)`
  The permissions to be granted for this role.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddRoleRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddRoleRequest.builder()`
    Clone method for this Builder.

  - ### id

    public AddRoleRequest.Builder id(UUID id)
    The ID of the new role. Should be unique within all roles.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix

    Returns:
      `this`.

  - ### name

    public AddRoleRequest.Builder name(String name)
    Required. The name of the new role. Should be unique within all roles.
    Returns:
      `this`.

  - ### global

    public AddRoleRequest.Builder global(boolean global)
    Whether the role should be a global or resource role.
    Returns:
      `this`.

  - ### description

    public AddRoleRequest.Builder description(String description)
    The description of the role.
    Returns:
      `this`.

  - ### permissions

    public AddRoleRequest.Builder permissions(List<Permission> permissions)
    The permissions to be granted for this role.
    Returns:
      `this`.

  - ### disabled

    public AddRoleRequest.Builder disabled(boolean disabled)
    Whether the role should be disabled or not.
    Returns:
      `this`.

  - ### build

    public AddRoleRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`